Subject: Re: bug#20538: 24.4; Attempt to delete a surrogate minibuffer frame

From: Stefan Monnier <[email-masked]>
Date: Sun, 10 May 2015 23:27:15 -0400

> It seems this should be the other way round: the "surrogate
> minibuffer attribute" should be given to the frame displaying the
> Ediff control panel instead of the frame displaying buffers foo and bar.

Putting "surrogate minibuffer attribute" on a frame which doesn't even
have a minibuffer wouldn't make much sense.

But I guess it would make sense to indicate that this ediff-control
frame is kind of "secondary" or "transient" or "deletable if its
minibuffer disappears".  Maybe we could solve this one with a kind of
delete-window-hook similar to kill-buffer-hook, so ediff could use this
hook to auto-delete the ediff-control frame when you delete the
other windows.

        Stefan